# NativeScript UI Chart

- [Overview](#overview)
- [Installation](#installation)
- [Documentation](#documentation)
- [API Reference](#api-reference)
- [Sample Apps](#sample-apps)
- [Release Notes](#release-notes)
- [Get Help](#get-help)


## Overview

The **NativeScript UI Chart** plugin can be used to visualize data in a human-readable way through lines, areas, bars, pies, and more. Some features include:

* Wide array of accepted data types: numbers, texts or dates depending on the chart you want to visualize;
* Smooth interaction and zooming;
* Annotations, tooltips, and trackball;
* Support for multiple axes.
* Various chart series options:
    * Show trends with Line, Area, and Spline Area charts;
    * Compare sets of data with Bar charts;
    * Illustrate proportions with Pie and Donut charts;
    * Spline and Spline Area charts to plot data that require the use of curve fittings;
    * Show relationships among values using Scatter and Bubble series;
    * Use Financial series and indicators;

## Installation

In Command prompt / Terminal navigate to your application root folder and run:

```
tns plugin add nativescript-ui-chart
```

## Documentation

The **NativeScript UI Chart** plugin has two types of charts - chartesian and pie.
They are presented by the `RadChartesianChart` & `RadPieChart` classes.
Each of them can visualize data with different types of series. With the chartesian chart you can also specify the axes that are used.
More information is available in the Guides for:
- [NativeScript Core](https://docs.nativescript.org/ui/professional-ui-components/Chart/overview)
- [NativeScript with Angular](https://docs.nativescript.org/angular/ui/ng-components/ng-Chart/overview)
- [NativeScript with Vue.js](https://docs.nativescript.org/vuejs/ns-ui/Chart/overview)

## API Reference

[Here](https://docs.nativescript.org/ns-ui-api-reference/classes/radcartesianchart) is the API Reference section.

## Sample Apps

The features of the plugin are demonstrated in the Sample apps for:
- [NativeScript Core](https://github.com/NativeScript/nativescript-ui-samples)
- [NativeScript with Angular](https://github.com/NativeScript/nativescript-ui-samples-angular)
- [NativeScript with Vue.js](https://github.com/NativeScript/nativescript-ui-samples-vue)

## Release Notes
The release notes are available [here](https://github.com/NativeScript/nativescript-ui-feedback/blob/master/releases/chart.md).

## Get Help
Please, use [github issues](https://github.com/NativeScript/nativescript-ui-feedback/issues) strictly for reporting bugs or requesting features.
