import { RadChartBase } from '../../common';
import { ViewBase, Property, Color } from '@nativescript/core';
import { ChartAnnotationZPosition } from '../../misc/chart-public-enum';
export declare class CartesianChartAnnotation extends ViewBase {
    protected _owner: RadChartBase;
    axisId: string;
    zPosition: ChartAnnotationZPosition;
    hidden: boolean;
    strokeWidth: number;
    strokeColor: Color;
    strokeDashPattern: string;
    static axisIdProperty: Property<CartesianChartAnnotation, string>;
    static zPositionProperty: Property<CartesianChartAnnotation, ChartAnnotationZPosition>;
    static hiddenProperty: Property<CartesianChartAnnotation, boolean>;
    static strokeWidthProperty: Property<CartesianChartAnnotation, number>;
    static strokeColorProperty: Property<CartesianChartAnnotation, Color>;
    static strokeDashPatternProperty: Property<CartesianChartAnnotation, string>;
    private onAxisIdPropertyChanged;
    private onZPositionPropertyChanged;
    private onHiddenPropertyChanged;
    private onStrokeWidthPropertyChanged;
    private onStrokeColorPropertyChanged;
    private onStrokeDashPatternPropertyChanged;
    protected onAxisIdChanged(oldValue: string, newValue: string): void;
    protected onZPositionChanged(oldValue: ChartAnnotationZPosition, newValue: ChartAnnotationZPosition): void;
    protected onHiddenChanged(oldValue: boolean, newValue: boolean): void;
    protected onStrokeWidthChanged(oldValue: number, newValue: number): void;
    protected onStrokeColorChanged(oldValue: Color, newValue: Color): void;
    protected onStrokeDashPatternChanged(oldValue: string, newValue: string): void;
    protected onOwnerChanged(): void;
    get owner(): RadChartBase;
    set owner(value: RadChartBase);
}
export declare class ChartGridLineAnnotation extends CartesianChartAnnotation {
    value: any;
    static valueProperty: Property<ChartGridLineAnnotation, any>;
    private onValuePropertyChanged;
    protected onValueChanged(oldValue: any, newValue: any): void;
}
export declare class ChartPlotBandAnnotation extends CartesianChartAnnotation {
    minValue: any;
    maxValue: any;
    fillColor: Color;
    static minValueProperty: Property<ChartPlotBandAnnotation, any>;
    static maxValueProperty: Property<ChartPlotBandAnnotation, any>;
    static fillColorProperty: Property<ChartPlotBandAnnotation, Color>;
    private onMinValuePropertyChanged;
    private onMaxValuePropertyChanged;
    private onFillColorPropertyChanged;
    protected onMinValueChanged(oldValue: any, newValue: any): void;
    protected onMaxValueChanged(oldValue: any, newValue: any): void;
    protected onFillColorChanged(oldValue: Color, newValue: Color): void;
}
