import { ViewBase, Property, Color } from '@nativescript/core';
import { RadChartBase } from '../../common';
export declare class RadCartesianChartGrid extends ViewBase {
    horizontalStrokeColor: Color | Color[];
    verticalStrokeColor: Color | Color[];
    horizontalStrokeWidth: number;
    verticalStrokeWidth: number;
    verticalStripLineColor: Color | Color[];
    horizontalStripLineColor: Color | Color[];
    verticalLinesVisible: boolean;
    horizontalLinesVisible: boolean;
    verticalStripLinesVisible: boolean;
    horizontalStripLinesVisible: boolean;
    _android: com.telerik.widget.chart.visualization.cartesianChart.CartesianChartGrid;
    _ios: TKChartGridStyle;
    static horizontalStrokeColorProperty: Property<RadCartesianChartGrid, Color | Color[]>;
    static verticalStrokeColorProperty: Property<RadCartesianChartGrid, Color | Color[]>;
    static horizontalStrokeWidthProperty: Property<RadCartesianChartGrid, number>;
    static verticalStrokeWidthProperty: Property<RadCartesianChartGrid, number>;
    static verticalStripLineColorProperty: Property<RadCartesianChartGrid, Color | Color[]>;
    static horizontalStripLineColorProperty: Property<RadCartesianChartGrid, Color | Color[]>;
    static verticalLinesVisibleProperty: Property<RadCartesianChartGrid, boolean>;
    static horizontalLinesVisibleProperty: Property<RadCartesianChartGrid, boolean>;
    static verticalStripLinesVisibleProperty: Property<RadCartesianChartGrid, boolean>;
    static horizontalStripLinesVisibleProperty: Property<RadCartesianChartGrid, boolean>;
    protected _owner: RadChartBase;
    get owner(): RadChartBase;
    set owner(value: RadChartBase);
    applyGridStyle(): void;
    protected onOwnerChanged(): void;
    private horizontalStripLinesVisibleChanged;
    protected onHorizontalStripLinesVisibleChanged(oldValue: boolean, newValue: boolean): void;
    private verticalStripLinesVisibleChanged;
    protected onVerticalStripLinesVisibleChanged(oldValue: boolean, newValue: boolean): void;
    private verticalLinesVisibleChanged;
    protected onVerticalLinesVisibleChanged(oldValue: boolean, newValue: boolean): void;
    private horizontalLinesVisibleChanged;
    protected onHorizontalLinesVisibleChanged(oldValue: boolean, newValue: boolean): void;
    private verticalStrokeColorChanged;
    protected onVerticalStrokeColorChanged(oldValue: Color | Color[], newValue: Color | Color[]): void;
    private horizontalStrokeColorChanged;
    protected onHorizontalStrokeColorChanged(oldValue: Color | Color[], newValue: Color | Color[]): void;
    private horizontalStrokeWidthChanged;
    protected onHorizontalStrokeWidthChanged(oldValue: number, newValue: number): void;
    private verticalStrokeWidthChanged;
    protected onVerticalStrokeWidthChanged(oldValue: number, newValue: number): void;
    private verticalStripLineColorChanged;
    protected onVerticalStripLineColorChanged(oldValue: Color | Color[], newValue: Color | Color[]): void;
    private horizontalStripLineColorChanged;
    protected onHorizontalStripLineColorChanged(oldValue: Color | Color[], newValue: Color | Color[]): void;
}
export declare function stringColorsConverter(colorsText: string): any[] | Color;
