import { ObservableArray, ChangedData, ViewBase, Property, AddArrayFromBuilder, Color } from '@nativescript/core';
import { RadChartBase } from '../../common';
import { ChartPaletteSeriesState } from '../../misc/chart-public-enum';
export declare class Palette extends ViewBase implements AddArrayFromBuilder {
    protected _owner: RadChartBase;
    entries: ObservableArray<PaletteEntry>;
    seriesName: string;
    seriesState: ChartPaletteSeriesState;
    constructor();
    static entriesProperty: Property<Palette, ObservableArray<PaletteEntry>>;
    static seriesNameProperty: Property<Palette, string>;
    static seriesStateProperty: Property<Palette, ChartPaletteSeriesState>;
    _addArrayFromBuilder(name: string, value: Array<any>): void;
    private onEntriesPropertyChanged;
    protected onEntriesChanged(oldValue: ObservableArray<PaletteEntry>, newValue: ObservableArray<PaletteEntry>): void;
    protected entriesCollectionChangedInternal(data: ChangedData<any>): void;
    private seriesNamePropertyChanged;
    protected onSeriesNamePropertyChanged(oldValue: string, newValue: string): void;
    private seriesStatePropertyChanged;
    protected onSeriesStatePropertyChanged(oldValue: ChartPaletteSeriesState, newValue: ChartPaletteSeriesState): void;
    updateOwner(): void;
    get owner(): RadChartBase;
    set owner(value: RadChartBase);
}
export declare class PaletteEntry extends ViewBase {
    protected _owner: Palette;
    fillColor: Color;
    strokeWidth: number;
    strokeColor: Color;
    static fillColorProperty: Property<PaletteEntry, Color>;
    static strokeWidthProperty: Property<PaletteEntry, number>;
    static strokeColorProperty: Property<PaletteEntry, Color>;
    private fillColorPropertyChanged;
    private strokeWidthPropertyChanged;
    private strokeColorPropertyChanged;
    protected onFillColorChanged(oldValue: Color, newValue: Color): void;
    protected onStrokeWidthChanged(oldValue: number, newValue: number): void;
    protected onStrokeColorChanged(oldValue: Color, newValue: Color): void;
    updateOwner(): void;
    get ownerPalette(): Palette;
    set ownerPalette(value: Palette);
}
