import * as axisCommonModule from './chart-axis.common';
import { ChartAxisDateTimeComponent, ChartAxisPlotMode } from '../../misc/chart-public-enum';
export declare class LinearAxis extends axisCommonModule.LinearAxis {
    private _ios;
    get ios(): TKChartNumericAxis;
    constructor();
    protected onMajorStepChanged(oldValue: number, newValue: number): void;
    protected onMinimumChanged(oldValue: any, newValue: any): void;
    protected onMaximumChanged(oldValue: any, newValue: any): void;
}
export declare class CategoricalAxis extends axisCommonModule.CategoricalAxis {
    private _ios;
    get ios(): TKChartCategoryAxis;
    constructor();
}
export declare class DateTimeContinuousAxis extends axisCommonModule.DateTimeContinuousAxis {
    constructor();
    private _dateFormatter;
    get dateFormatter(): NSDateFormatter;
    private _ios;
    get ios(): TKChartDateTimeAxis;
    protected onMinimumChanged(oldValue: any, newValue: any): void;
    protected onMaximumChanged(oldValue: any, newValue: any): void;
    private updateRange;
    protected onPlotModeChanged(oldValue: ChartAxisPlotMode, newValue: ChartAxisPlotMode): void;
    protected onDateFormatChanged(oldValue: string, newValue: string): void;
    protected onLabelFormatChanged(oldValue: any, newValue: any): void;
    protected onMajorStepUnitChanged(oldValue: ChartAxisDateTimeComponent, newValue: ChartAxisDateTimeComponent): void;
    protected onMajorStepChanged(oldValue: number, newValue: number): void;
}
export declare class DateTimeCategoricalAxis extends axisCommonModule.DateTimeCategoricalAxis {
    constructor();
    private _ios;
    get ios(): TKChartDateTimeCategoryAxis;
    protected onDateFormatChanged(oldValue: string, newValue: string): void;
    protected onLabelFormatChanged(oldValue: any, newValue: any): void;
    protected onDateTimeComponentChanged(oldValue: ChartAxisDateTimeComponent, newValue: ChartAxisDateTimeComponent): void;
}
export declare class LogarithmicAxis extends axisCommonModule.LogarithmicAxis {
    constructor();
    private _ios;
    get ios(): TKChartLogarithmicAxis;
    protected onExponentStepChanged(oldValue: number, newValue: number): void;
    protected onLogarithmBaseChanged(oldValue: number, newValue: number): void;
    protected onMajorStepChanged(oldValue: any, newValue: any): void;
    protected onMinimumChanged(oldValue: any, newValue: any): void;
    protected onMaximumChanged(oldValue: any, newValue: any): void;
}
