import { Property, Color } from '@nativescript/core';
import * as seriesCommonModule from './chart-series.common';
import * as initializersCommon from '../../initializers/chart-initializers.common';
export declare class PieSeries extends seriesCommonModule.PieSeries {
    private _android;
    get android(): com.telerik.widget.chart.visualization.pieChart.PieSeries;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
export declare class DonutSeries extends seriesCommonModule.DonutSeries {
    private _android;
    get android(): com.telerik.widget.chart.visualization.pieChart.DoughnutSeries;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
export declare class LineSeries extends seriesCommonModule.CategoricalSeries {
    protected _android: com.telerik.widget.chart.visualization.cartesianChart.series.categorical.LineSeries;
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.categorical.LineSeries;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
    protected get initializer(): any;
}
export declare class OhlcSeries extends seriesCommonModule.OhlcSeries {
    protected _android: com.telerik.widget.chart.visualization.cartesianChart.series.categorical.OhlcSeriesBase;
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.categorical.OhlcSeriesBase;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
    protected onValuePropertyChanged(oldValue: any, newValue: any): void;
    protected onHighPropertyNameChanged(oldValue: string, newValue: string): void;
    protected onLowPropertyNameChanged(oldValue: string, newValue: string): void;
    protected onOpenPropertyNameChanged(oldValue: string, newValue: string): void;
    protected onClosePropertyNameChanged(oldValue: string, newValue: string): void;
}
export declare class CandlestickSeries extends OhlcSeries {
    fillColors: Color[];
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.categorical.OhlcSeriesBase;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
    static fillColorsProperty: Property<CandlestickSeries, Color[]>;
    private onFillColorsPropertyChanged;
    protected onFillColorsChanged(oldValue: Color[], newValue: Color[]): void;
    protected get initializer(): initializersCommon.CandlestickSeriesValueMapper;
}
export declare class SplineSeries extends LineSeries {
    protected _android: com.telerik.widget.chart.visualization.cartesianChart.series.categorical.SplineSeries;
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.categorical.SplineSeries;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
export declare class AreaSeries extends seriesCommonModule.CategoricalSeries {
    protected _android: com.telerik.widget.chart.visualization.cartesianChart.series.categorical.AreaSeries;
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.categorical.AreaSeries;
    protected get initializer(): any;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
export declare class SplineAreaSeries extends AreaSeries {
    protected _android: com.telerik.widget.chart.visualization.cartesianChart.series.categorical.SplineAreaSeries;
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.categorical.SplineAreaSeries;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
export declare class ScatterBubbleSeries extends seriesCommonModule.ScatterBubbleSeries {
    private _android;
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.scatter.ScatterBubbleSeries;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
export declare class BubbleSeries extends seriesCommonModule.BubbleSeries {
    private _android;
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.categorical.BubbleSeries;
    protected onBubbleScaleChanged(oldValue: number, newValue: number): void;
    protected onBubbleSizePropertyChanged(oldValue: string, newValue: string): void;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
export declare class ScatterSeries extends seriesCommonModule.ScatterSeries {
    protected _android: com.telerik.widget.chart.visualization.cartesianChart.series.scatter.ScatterPointSeries;
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.scatter.ScatterPointSeries;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
export declare class BarSeries extends seriesCommonModule.BarSeries {
    protected _android: com.telerik.widget.chart.visualization.cartesianChart.series.categorical.BarSeries;
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.categorical.BarSeries;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
export declare class RangeBarSeries extends seriesCommonModule.RangeBarSeries {
    protected _android: com.telerik.widget.chart.visualization.cartesianChart.series.categorical.RangeBarSeries;
    constructor();
    get android(): com.telerik.widget.chart.visualization.cartesianChart.series.categorical.RangeBarSeries;
    protected onValuePropertyChanged(oldValue: any, newValue: any): void;
    protected onHighPropertyNameChanged(oldValue: string, newValue: string): void;
    protected onLowPropertyNameChanged(oldValue: string, newValue: string): void;
    protected onLegendTitleChanged(oldValue: string, newValue: string): void;
}
